gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.FontT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype FontT = FontT (ManagedPtr FontT)

# Exported types

newtype FontT Source #

Memory-managed wrapper type.

Constructors

FontT (ManagedPtr FontT) |

#### Instances

Instances details

Eq FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT Methods (==) :: FontT -> FontT -> Bool # (/=) :: FontT -> FontT -> Bool #
GBoxed FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT
TypedObject FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT Methods glibType :: IO GType Source #
ManagedPtrNewtype FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT Methods toManagedPtr :: FontT -> ManagedPtr FontT Source #
IsGValue FontT Source # | Convert `FontT` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.FontT Methods toGValue :: FontT -> IO GValue Source # fromGValue :: GValue -> IO FontT Source #
HasParentTypes FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT
type ParentTypes FontT Source # |
Instance details Defined in GI.HarfBuzz.Structs.FontT type ParentTypes FontT = '[] :: [Type]

# Methods

## Overloaded methods